<?php
class ModEss_XenForo_Model_ModerationQueue extends XFCP_ModEss_XenForo_Model_ModerationQueue
{
    public function getVisibleModerationQueueEntriesForUser(array $queue, array $viewingUser = null)
    {
        $output = parent::getVisibleModerationQueueEntriesForUser($queue, $viewingUser);
        if (!empty($output))
        {
            foreach ($output as &$q)
            {
                $q['reports'] = $this->getModelFromCache('XenForo_Model_Report')->getReportByContent($q['content_type'], $q['content_id']);
            }
        }
        return $output;
    }
}